Loading...
Searching...
No Matches
ToggleAction Class Reference

`#include <gx_main_window.h>`

Inheritance diagram for ToggleAction:

## Public Member Functions

Glib::SignalProxyProperty | signal_toggled ()
bool | get_active () const
void | set_active (bool v)

## Static Public Member Functions

static Glib::RefPtr< ToggleAction > | create (const Glib::ustring &name, bool state=false)

## Protected Member Functions

| ToggleAction (const Glib::ustring &name, bool state)

## Detailed Description

Definition at line 59 of file gx_main_window.h.

## Constructor & Destructor Documentation

## ToggleAction()

ToggleAction::ToggleAction | ( | const Glib::ustring & | name,
|  | bool | state )

inline protected

Definition at line 61 of file gx_main_window.h.

Referenced by create().

## Member Function Documentation

## create()

Glib::RefPtr< ToggleAction > ToggleAction::create | ( | const Glib::ustring & | name,
|  | bool | state = false )

inline static

Definition at line 64 of file gx_main_window.h.

Referenced by ToggleAction().

## get_active()

bool ToggleAction::get_active | ( |  | ) | const

inline

Definition at line 67 of file gx_main_window.h.

## set_active()

void ToggleAction::set_active | ( | bool | v | ) |

## signal_toggled()

Glib::SignalProxyProperty ToggleAction::signal_toggled | ( |  | ) |

inline

Definition at line 66 of file gx_main_window.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h